Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAppearanceStream

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAppearanceStream

All Implemented Interfaces:
  COSObjectable

public class PDAppearanceStream
extends Object
implements COSObjectable

This class represents an appearance for an annotation.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDAppearanceStream(COSStream s)` Constructor.

Method Summary
`PDRectangle` | `getBoundingBox()` Get the bounding box for this appearance.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`PDResources` | `getResources()` This will get the resources for this appearance stream.
`COSStream` | `getStream()` This will return the underlying stream.
`void` | `setBoundingBox(PDRectangle rectangle)` This will set the bounding box for this appearance stream.
`void` | `setResources(PDResources resources)` This will set the new resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDAppearanceStream

    public PDAppearanceStream(COSStream s)

  Constructor.

Parameters:
  `s` - The cos stream for this appearance.

Method Detail

### getStream

    public COSStream getStream()

  This will return the underlying stream.

  Returns:
    The wrapped stream.

### getCOSObject

    public COSBase getCOSObject()

  Description copied from interface: `COSObjectable`
  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.
  See Also:
    `COSObjectable.getCOSObject()`

### getBoundingBox

    public PDRectangle getBoundingBox()

  Get the bounding box for this appearance. This may return null in which case the Rectangle from the annotation should be used.

  Returns:
    The bounding box for this appearance.

### setBoundingBox

    public void setBoundingBox(PDRectangle rectangle)

  This will set the bounding box for this appearance stream.

  Parameters:
    `rectangle` - The new bounding box.

### getResources

    public PDResources getResources()

  This will get the resources for this appearance stream.

  Returns:
    The appearance stream resources.

### setResources

    public void setResources(PDResources resources)

  This will set the new resources.

  Parameters:
    `resources` - The new resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD